Libical API Documentation 3.0

Data Fields
_icaltimezone Struct Reference

## Data Fields
icaltimezone * | builtin_timezone
icalarray * | changes
icalcomponent * | component
int | end_year
double | latitude
char * | location
double | longitude
char * | tzid
char * | tznames

## Field Documentation

## ◆ builtin_timezone

icaltimezone* _icaltimezone::builtin_timezone

If this is not NULL it points to the builtin icaltimezone that the above TZID refers to. This icaltimezone should be used instead when accessing the timezone changes data, so that the expanded timezone changes data is shared between calendar components.

## ◆ changes

icalarray* _icaltimezone::changes

A dynamically-allocated array of time zone changes, sorted by the time of the change in local time. So we can do fast binary-searches to convert from local time to UTC.

## ◆ component

icalcomponent* _icaltimezone::component

The toplevel VTIMEZONE component loaded from the .ics file for this timezone. If we need to regenerate the changes data we need this.

## ◆ end_year

int _icaltimezone::end_year

This is the last year for which we have expanded the data to. If we need to calculate a date past this we need to expand the timezone component data from scratch.

## ◆ location

char* _icaltimezone::location

The location for the timezone, e.g. "Africa/Accra" for the Olson database. We look for this in the "LOCATION" or "X-LIC-LOCATION" properties of the VTIMEZONE component. It isn't a standard property yet. This will be NULL if no location is found in the VTIMEZONE.

## ◆ longitude

double _icaltimezone::longitude

The coordinates of the city, in degrees.

## ◆ tzid

char* _icaltimezone::tzid

The unique ID of this timezone, e.g. "/citadel.org/Olson_20010601_1/Africa/Banjul". This should only be used to identify a VTIMEZONE. It is not meant to be displayed to the user in any form.

## ◆ tznames

char* _icaltimezone::tznames

This will be set to a combination of the TZNAME properties from the last STANDARD and DAYLIGHT components in the VTIMEZONE, e.g. "EST/EDT". If they both use the same TZNAME, or only one type of component is found, then only one TZNAME will appear, e.g. "AZOT". If no TZNAME is found this will be NULL.

The documentation for this struct was generated from the following file:

- icaltimezoneimpl.h